<?
//Специально для masteram.us - Закрытый клуб мастеров!
require'config.php';
$align='center';
$title='Мир общения!';
$head = text($set['head']);
head();

$H=getenv( "HTTP_REFERER" ); // получаем URL, с которого пришёл посетитель
if($H!='')
{
	$array = parse_url($H);
	if($array['host'] != $_SERVER['SERVER_NAME'])
	{
			$link_save = 'sys/logs/'.date('Y-M-d').'.log';/*
		}else
		{
			$link_save = 'sys/local.log';
		}*/
		$er_time=date( "H:i:s d M Y" ); // записываем текущее время в строку,
		//используя заданный формат
		$U=getenv( "HTTP_USER_AGENT" ); // получаем данные о софте,
		//который испольует пользователь

		$R=getenv( "REMOTE_ADDR" ); // получаем IP посетителя
		$W=getenv( "REQUEST_URI" ); // получаем относительный адрес странички,
		//которую запросил посетитель
		while (ereg( '%([0-9A-F]{2})' ,$H)){ // пока в строке $H будет хоть одно
		//сочетание знака % и двух символов из диапазонов 0-9 и A-F
		//(шестнадцатиричные цифры)
		$val=ereg_replace( '.*%([0-9A-F]{2}).*' , '\1' ,$H);
		// присваиваем $val результат замены выражения,
		//содержащего процент и два символа из означенных выше интервалов,
		//на эти самые два символа
		// короче говоря, теперь в $val у нас очередные 2 символа,
		//перед которыми в исходном выражении стоял процент
		$newval=chr(hexdec($val)); // получаем сивол с номером,
		//полученным переведением полученного в $val
		//шестнадцатиричного числа в "нормальное"
		$H=str_replace( '%' .$val,$newval,$H);
		//стандартная строковая функция замены -
		//заменяет подстроку, состоящую из процента и друх символов
		//из переменной $var на символ, который эти два
		//шестнадцатиричных символа кодировали
		} // конец цикла :)
		$f=fopen( $link_save , 'a' ); // дальше - понятно, пишем всё это в файл
		flock ($f,2);
		fwrite($f, "$H|::|$W|::|$U|::|$R|::|$er_time\n" );
		fclose($f);
	}
}
if (!empty($_GET['inv'])) {
$inv = (int)$_GET['inv'];
$inv_url = '&amp;inv='.$inv;
}
$query = @mysql_query ("select * from `adv` where `in` = '1' order by `id` asc" );
while( FALSE !== ( $fetch = mysql_fetch_array( $query ) ) )
{
if( !empty( $fetch['color'] ) )
{
$font = '<font color="' . $fetch['color'] . '">';
$cfont = '</font>';
}
else
{
$font = '';
$cfont = '';
}
echo '<a href="http://' . $fetch['url'] . '">' . $font . $fetch['name'] . $cfont . '</a><br/>';
}
if (isset($user[id]))header("Location: ".H."enter?id=$user[id]&ps=$pass&".SID);
echo'<small>---<br/></small>';
$a = @$db->sql_fetchrow($db->sql_query ("Select logoin from setting where ids = 1"));
if ($a['logoin']!='')echo '<img src="/'.$a['logoin'].'" alt="" ></img><br/>';
$pr = mysql_query("select gl from setting WHERE ids=1;");
$enter = mysql_fetch_array($pr);
$enter['gl'] = str_replace("/","<br/>",$enter['gl']);
if ($enter["gl"]!='') echo "<small>---<br/>".$enter["gl"]."<br/>---<br/></small>";
else{
echo 'Добро пожаловать!<br/>';}
$kol = $db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who`'),0);
$chl = 'человек';
if ((($kol%10==2)||($kol%10==3)||($kol%10==4))&&($kol/10)!=1)$chl = 'человека';
echo '<br />В чате: <b>'.$kol.'</b> '.$chl.'<br/>';
/*
echo '<a href="http://api.vkontakte.ru/oauth/authorize?client_id=3128263&scope=offline&redirect_uri=http://vipvi.ru/vklogin.php&response_type=code&display=touch">Войти через Вконтакте</a><br/>';
*/
 echo '--===--<br/>';
echo '<a href="reghelp?'.$inv_url.'">Регистрация</a><br/>';
if ($ver=='xhtml') echo aut.'<form method="post" action="in?'.SID.'" name="auth">';
echo '<br />Ваш ник или id:<br/>';
echo '<input name="nik" maxlength="15" title="nick"/><br/>';
echo 'Ваш пароль:<br/>';
echo '<input type="password" name="ps" maxlength="20" title="password"/><br/>';
if ($ver=='wml'){
echo '<br /><anchor title="go">Вход<go href="in?ver=wml&amp;'.SID.'" method="post">';
echo '<postfield name="nik" value="$(nik)"/>';
echo '<postfield name="ps" value="$(ps)"/>';
echo '<postfield name="trun" value="$(trun)"/>';
echo '</go></anchor><br/><br/>';
}else {
echo '<br /><input type="submit"  class="ibutton" value="Вход" name="enter"/></form><br/>'.div;
}
$num = $db->sql_fetchfield($db->sql_query("select count(id) as num from users"),0);
$ndate=date("d-m-Y");
$new = $db->sql_fetchfield($db->sql_query("SELECT COUNT(id) FROM users where date = '".$ndate."'"),0);
if ($ver=='xhtml'){
echo '<u><a href="lost_pass?'.$inv_url.'"><b>Забыли пароль?</b></a><br/></u>
-~- <br/>
<u><a href="forum">Форум</a><br/></u>';

echo ' Новньких:  <b> '.$new.'</b><br/>';
$usersm=$db->sql_fetchfield($db->sql_query("SELECT count(id) FROM users where sex='1'"),0);
$usersj=$db->sql_fetchfield($db->sql_query("SELECT count(id) FROM users where sex='0'"),0);
 $vn=$db->sql_fetchfield($db->sql_query ("select count(*) as num from users WHERE visit>'".date("Y.m.d.")."'"),0);
echo ' Регистраций:'.$num.'<br/>';
echo ' Всего Парней: '.$usersm.'<br/>';
 echo ' Всего Девушек: '.$usersj.'<br/>';
 echo ' Посет.за сутки: '.$vn.'<br/>';
$usersj=$db->sql_fetchfield($db->sql_query("SELECT count(id) FROM users where sex='0'"),0);
 $vn=$db->sql_fetchfield($db->sql_query ("select count(*) as num from users WHERE visit>'".date("Y.m.d.")."'"),0);
 $birth = $db->sql_fetchfield($db->sql_query ("Select count(*) from users where day = '".date("d")."' and month = '".date("m")."'"),0);
}else{
$usersm=$db->sql_fetchfield($db->sql_query("SELECT count(id) FROM users where sex='1'"),0);
$usersj=$db->sql_fetchfield($db->sql_query("SELECT count(id) FROM users where sex='0'"),0);
 $vn=$db->sql_fetchfield($db->sql_query ("select count(*) as num from users WHERE visit>'".date("Y.m.d.")."'"),0);
echo 'Всего Парней: '.$usersm.'<br/>';
 echo 'Всего Девушек: '.$usersj.'<br/>';
 echo 'Посет.за сутки: '.$vn.'<br/>';
echo 'Сегодня присоединилось: '.$new.'<br/>';
}
$query = @mysql_query( "select * from `adv` where `in` = '2' order by `id` asc" );
while( FALSE !== ( $fetch = mysql_fetch_array( $query ) ) )
{
if( !empty( $fetch['color'] ) )
{
$font = '<font color="' . $fetch['color'] . '">';
$cfont = '</font>';
}
else
{
$font = '';
$cfont = '';
}
echo '<a href="http://' . $fetch['url'] . '">' . $font . $fetch['name'] . $cfont . '</a><br/>';
}
$query = @mysql_query( "select * from `adv` where `in` = '3' order by `id` desc" );
while( FALSE !== ( $fetch = mysql_fetch_array( $query ) ) )
{
//echo '<a href="http://' . $fetch['url'] . '"><img src="http://' . $fetch['img'] . '" alt="' . $fetch['name'] . '" /></a>';
}
?>
<a href="http://waplog.net/c.shtml?457049"><img src="http://c.waplog.net/457049.cnt" alt="waplog" /></a>
<script type="text/javascript" src="http://mobtop.ru/c/60274.js"></script><noscript><a href="http://mobtop.ru/in/60274"><img src="http://mobtop.ru/60274.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript><br/><?php

if ($ver=='wml'){echo '* * *<br/>';}
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>